package com.liangjian.dataplatform.member.controller;


import com.liangjian.dataplatform.member.service.ITerminaldocService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/terminaldoc")
public class TerminaldocController {

    @Autowired
    private ITerminaldocService terminaldocService;

    @GetMapping("/getgender")
    @ApiOperation(value = "查询性别信息")
    public List<Map<String, Object>> getgender(){

        return terminaldocService.getgender();
    }

    @GetMapping("/getterms")
    @ApiOperation(value = "查询下单终端")
    public List<Map<String, Object>> getterms(){

        return terminaldocService.getterms();
    }

    @GetMapping("/getSourcePlatForms")
    @ApiOperation(value = "查询下单平台")
    public List<Map<String, Object>> getSourcePlatForms(){

        return terminaldocService.getSourcePlatForms();
    }


}
